Subject: bug#50457: 27.1; 'ada-mode'

From: Christophe <[email-masked]>
Date: Tue, 07 Sep 2021 19:35:41 +0200

Hello, since I upgrade from emacs 26.1 to emacs 27.1 I am not able anymore to
open an ada source file (or create one).
I get that error:
Debugger entered--Lisp error: (error "ada_mode_wisi_lr1_parse not found on
‘exec-path’; ...")

I have the same configuration I had in my emacs 26.1 init file:

(use-package ada-mode
    :ensure t
    :init
    )
I am not able to find on the net information about a such issue.
I even try to run build.sh in .emacs.d/elpa/ada-modexxxxx/ as indicate in the
error message but that's impossible too (and not necssary in older version)

 signal(error ("ada_mode_wisi_lr1_parse not found on ‘exec-path’; ..."))
 error("%s not found on `exec-path'; run 'build.sh' in the..." "ada_mode_wisi_lr1_parse")

In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, cairo version 1.16.0)
 of 2021-03-28, modified by Debian built on x86-conova-01
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

Recent messages:
Loading em-glob...done
Loading em-hist...done
Loading em-ls...done
Loading em-prompt...done
Loading em-script...done
Loading em-unix...done
Searching for ‘my_hello’....
(New file)
Entering debugger...
Making completion list...

Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --enable-libsystemd --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/27.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/27.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --build x86_64-linux-gnu
 --prefix=/usr --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info --mandir=/usr/share/man
 --enable-libsystemd --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/27.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/27.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --with-cairo --with-x=yes
 --with-x-toolkit=gtk3 --with-toolkit-scroll-bars 'CFLAGS=-g -O2
 -ffile-prefix-map=/build/emacs-LlFm6W/emacs-27.1+1=. -fstack-protector-strong
 -Wformat -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' LDFLAGS=-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY INOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON PDUMPER
LCMS2 GMP

Important settings:
  value of $LANG: fr_FR.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Debugger

Minor modes in effect:
  pyvenv-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  global-company-mode: t
  company-mode: t
  global-flycheck-mode: t
  xclip-mode: t
  global-subword-mode: t
  subword-mode: t
  display-time-mode: t
  display-battery-mode: t
  electric-pair-mode: t
  server-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  auto-fill-function: do-auto-fill
  transient-mark-mode: t

Load-path shadows:
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-site hides /usr/share/emacs/site-lisp/tex-site
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/auctex hides /usr/share/emacs/site-lisp/auctex
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/preview hides /usr/share/auctex/preview
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/font-latex hides /usr/share/auctex/font-latex
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-buf hides /usr/share/auctex/tex-buf
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex hides /usr/share/auctex/tex
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-style hides /usr/share/auctex/tex-style
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/bib-cite hides /usr/share/auctex/bib-cite
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/multi-prompt hides /usr/share/auctex/multi-prompt
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/context hides /usr/share/auctex/context
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/context-nl hides /usr/share/auctex/context-nl
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-mik hides /usr/share/auctex/tex-mik
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-bar hides /usr/share/auctex/tex-bar
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-font hides /usr/share/auctex/tex-font
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/latex hides /usr/share/auctex/latex
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-fold hides /usr/share/auctex/tex-fold
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/latex-flymake hides /usr/share/auctex/latex-flymake
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-jp hides /usr/share/auctex/tex-jp
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/plain-tex hides /usr/share/auctex/plain-tex
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-ispell hides /usr/share/auctex/tex-ispell
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/texmathp hides /usr/share/auctex/texmathp
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/toolbar-x hides /usr/share/auctex/toolbar-x
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/context-en hides /usr/share/auctex/context-en
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-info hides /usr/share/auctex/tex-info

Features:
(shadow mailalias emacsbug sendmail cl-print debug backtrace em-unix em-script
em-prompt em-ls em-hist em-pred em-glob em-dirs esh-var em-cmpl em-basic
em-banner em-alias esh-mode flyspell ispell .emacs programmation ac-geiser
geiser-guile info-look geiser geiser-repl geiser-image geiser-company
geiser-doc geiser-menu geiser-edit geiser-completion geiser-autodoc geiser-eval
geiser-connection tq geiser-syntax scheme geiser-log geiser-popup view
py-autopep8 yasnippet highlight-indentation flymake-proc flymake warnings elpy
elpy-rpc pyvenv elpy-shell elpy-profile elpy-django s elpy-refactor diff-mode
easy-mmode python tramp-sh tramp tramp-loaddefs trampver tramp-integration
tramp-compat shell pcomplete parse-time iso8601 ls-lisp grep files-x blacken
jedi jedi-core python-environment epc ctable concurrent deferred auto-complete
popup virtualenv ada-mode align ada-skel wisi-skel ada-process
wisi-process-parse ada-indent-user-options ada-core wisi-prj wisi wisi-fringe
wisi-parse-common semantic/lex semantic/fw mode-local uniquify-files find-file
compile skeleton paren company-oddmuse company-keywords company-etags etags
fileloop xref project company-gtags company-dabbrev-code company-dabbrev
company-files company-clang company-capf company-cmake company-semantic
company-template company-bbdb company pcase flycheck find-func rx dash
elfeed-show elfeed-search bookmark pp shr svg dom elfeed-csv elfeed elfeed-curl
elfeed-log elfeed-db elfeed-lib thingatpt avl-tree generator url-queue
xml-query xml em-term eshell esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg
esh-module esh-groups esh-util ido cus-edit cus-start cus-load wid-edit xclip
linum cap-words superword subword time battery sr-speedbar speedbar sb-image
ezimage dframe elec-pair multi-term advice term disp-table comint ansi-color
ehelp edmacro kmacro akira-theme exec-path-from-shell cl-extra
use-package-ensure use-package-core server mm-archive message dired
dired-loaddefs format-spec rfc822 mml mml-sec epa derived gnus-util rmail
rmail-loaddefs text-property-search time-date mailabbrev gmm-utils mailheader
mm-decode mm-bodies mm-encode mail-utils gnutls network-stream url-http
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-gw nsm rmc
puny url-cache url-auth url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap epg epg-config finder-inf
preview-latex tex-site geiser-impl help-fns radix-tree help-mode geiser-custom
geiser-base ring info package easymenu browse-url url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache json
subr-x map url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs
cl-lib tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese composite
charscript charprop case-table epa-hook jka-cmpr-hook help simple abbrev
obarray cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule custom
widget hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 487188 16532)
 (symbols 48 32122 3)
 (strings 32 157481 7036)
 (string-bytes 1 4366425)
 (vectors 16 50048)
 (vector-slots 8 585858 25776)
 (floats 8 200 187)
 (intervals 56 1559 108)
 (buffers 1000 13))

-- 
Christophe BOLLARD